Skip to main content
`Ctrl`+`K`

# PetscDeviceView

View a `PetscDevice`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceView(PetscDevice device, PetscViewer viewer)

Collective on viewer

## Input Parameters

- device - The `PetscDevice` to view

- viewer - The `PetscViewer` to view the device with (`NULL` for `PETSC_VIEWER_STDOUT_WORLD`)

## See Also

`PetscDevice`, `PetscDeviceCreate()`, `PetscDeviceConfigure()`, `PetscDeviceDestroy()`, `PetscDeviceGetType()`, `PetscDeviceGetDeviceId()`

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages